Announcements
Attention for Customers without Multi-Factor Authentication or Single Sign-On - OTP Verification rolls out April 2025. Read all about it here.

Changing flip parameter of joint

Anonymous

Changing flip parameter of joint

Anonymous
Not applicable

Hi!

I have an assembly. I want to change on of the joints' flip parameter to True. How can I do this? 

 

Here's my code.

jnt :adsk.fusion.Joint =components.itemByName('MUVPAssemby').joints.itemByName('Rigid2')
flip :adsk.fusion.ModelParameter = jnt.isFlipped

flip = True
0 Likes
Reply
477 Views
3 Replies
Replies (3)

JeromeBriot
Mentor
Mentor

Hello,

 

Try this:

 

jnt = components.itemByName('MUVPAssemby').joints.itemByName('Rigid2')
jnt.isFlipped = True
0 Likes

Anonymous
Not applicable

@JeromeBriot

I have this error

0 Likes

JeromeBriot
Mentor
Mentor

You have to roll the timeline back  to the joint creation step.

 

Use the rollTo method as explained in this example: Extrude Feature API Sample API Sample

 

1 Like